Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.syntax
Class SyntaxUtilities

    java.lang.Object
      jedit.syntax.SyntaxUtilities

    public class SyntaxUtilities

extends java.lang.Object

Class with several utility functions used by jEdit's syntax colorizing subsystem.

Version:
  $Id: SyntaxUtilities.java,v 1.1 2004/05/05 10:44:26 jferber Exp $
Author:
  Slava Pestov

Method Summary
`static SyntaxStyle[]` | `getDefaultSyntaxStyles()` Returns the default style table.
`static int` | `paintSyntaxLine(javax.swing.text.Segment line, Token tokens, SyntaxStyle[] styles, javax.swing.text.TabExpander expander, java.awt.Graphics gfx, int x, int y)` Paints the specified line onto the graphics context.
`static boolean` | `regionMatches(boolean ignoreCase, javax.swing.text.Segment text, int offset, char[] match)` Checks if a subregion of a `Segment` is equal to a character array.
`static boolean` | `regionMatches(boolean ignoreCase, javax.swing.text.Segment text, int offset, java.lang.String match)` Checks if a subregion of a `Segment` is equal to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### regionMatches

    public static boolean regionMatches(boolean ignoreCase,
                                        javax.swing.text.Segment text,
                                        int offset,
                                        java.lang.String match)

  Checks if a subregion of a `Segment` is equal to a string.

  Parameters:
    `ignoreCase` - True if case should be ignored, false otherwise
    `text` - The segment
    `offset` - The offset into the segment
    `match` - The string to match

### regionMatches

    public static boolean regionMatches(boolean ignoreCase,
                                        javax.swing.text.Segment text,
                                        int offset,
                                        char[] match)

  Checks if a subregion of a `Segment` is equal to a character array.

  Parameters:
    `ignoreCase` - True if case should be ignored, false otherwise
    `text` - The segment
    `offset` - The offset into the segment
    `match` - The character array to match

### getDefaultSyntaxStyles

    public static SyntaxStyle[] getDefaultSyntaxStyles()

  Returns the default style table. This can be passed to the `setStyles()` method of `SyntaxDocument` to use the default syntax styles.

### paintSyntaxLine

    public static int paintSyntaxLine(javax.swing.text.Segment line,
                                      Token tokens,
                                      SyntaxStyle[] styles,
                                      javax.swing.text.TabExpander expander,
                                      java.awt.Graphics gfx,
                                      int x,
                                      int y)

  Paints the specified line onto the graphics context. Note that this method munges the offset and count values of the segment.

  Parameters:
    `line` - The line segment
    `tokens` - The token list for the line
    `styles` - The syntax style list
    `expander` - The tab expander used to determine tab stops. May be null
    `gfx` - The graphics context
    `x` - The x co-ordinate
    `y` - The y co-ordinate
  Returns:
    The x co-ordinate, plus the width of the painted string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.